"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Ui = void 0;
const ui_1 = __importDefault(require("../../../src/ui/ui"));
class Ui extends ui_1.default {
    constructor(onLog = (message, level) => { }) {
        super({
            input: process.stdin,
            output: process.stdout,
        });
        this.onLog = onLog;
    }
    log(message, level) {
        this.onLog(message, level);
    }
    prompt() {
        return Promise.resolve({});
    }
    startProgress() { }
    stopProgress() { }
}
exports.Ui = Ui;
exports.default = Ui;
