"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
const project_1 = __importDefault(require("../../../src/models/project"));
const ui_mock_1 = __importDefault(require("../mock/ui.mock"));
chai_1.use(require('chai-as-promised'));
chai_1.use(require('sinon-chai'));
describe('Project', () => {
    it('should find a package', (done) => {
        let promise = project_1.default.project(new ui_mock_1.default(), process.cwd()).then(() => { }, () => { });
        chai_1.expect(promise)
            .to.eventually.be.an('undefined')
            .notify(done);
    });
});
